manifestVersion: "0.0.1"
id: openreader
name: OpenReader
tagline: Программа для чтения документов с возможностью преобразования текста в речь
category: ai
version: "2.2.0"
port: 3391
description: >-
  OpenReader WebUI — это веб-программа для чтения документов, которая объединяет функцию преобразования текста в речь (TTS), позволяя пользователям прослушивать текст из различных форматов документов, включая PDF и EPUB. Разработанный для повышения доступности и удобства чтения, он обеспечивает синхронизированное выделение текста, гарантируя, что прочитанная в данный момент часть документа будет визуально выделена, когда речевой механизм озвучивает содержимое. Это делает его особенно полезным для людей с нарушениями зрения, трудностями с чтением или для тех, кто просто предпочитает слуховой стиль обучения.
  
  
  Приложение создано с учетом совместимости и поддерживает любой OpenИИ-совместимый бэкэнд TTS, такой как Kokoro-FastAPI и Orpheus-FastAPI. Это позволяет пользователям выбирать предпочтительный механизм синтеза речи, обеспечивая гибкость в выборе голоса, точность произношения и общее качество чтения. Используя эти серверные части, OpenReader WebUI может генерировать естественно звучащую речь, делая чтение длинных форм более увлекательным и снижая когнитивную нагрузку, связанную с традиционным чтением.
  
  
  Пользовательский интерфейс интуитивно понятен и легок, обеспечивая удобство работы без лишней сложности. Пользователи могут загружать документы непосредственно через веб-интерфейс, контролировать скорость воспроизведения, приостанавливать и возобновлять повествование, а также эффективно перемещаться по документу. Программное обеспечение предназначено для разнообразной аудитории, включая студентов, специалистов и людей с ограниченными возможностями, обеспечивая более доступность материалов для чтения для всех.
  
  
  Кроме того, OpenReader WebUI доступен как проект с открытым исходным кодом, что позволяет разработчикам вносить свой вклад в его улучшение и расширять его возможности. Публичная демо-версия доступна в Интернете, что позволяет пользователям тестировать ее функции без необходимости установки, что упрощает оценку ее функциональности перед настройкой локального экземпляра. OpenReader WebUI, уделяя особое внимание удобству использования и доступности, представляет собой современный подход к чтению документов, устраняя разрыв между текстом и речью в удобной для пользователя форме.
  
  
  ⚠️ Это приложение работает только в браузерах на базе Chromium (например, Chrome, Edge, Brave).
developer: Richard Roberson
website: https://openreader.richardr.dev/
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
repo: https://github.com/richardr1126/OpenReader-WebUI
support: https://github.com/richardr1126/OpenReader-WebUI/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
releaseNotes: >-
  Некоторые из ключевых моментов этого выпуска включают в себя:
    - Добавлен поставщик репликации TTS с поддержкой пользовательских моделей репликации.
    - Улучшены внутренние функции генерации TTS с лучшим разрешением голоса и проверкой настроек.
    - Улучшено управление воспроизведением TTS с более надежной обработкой паузы и возобновления.
    - Обновлена формулировка библиотеки документов с «Локальные документы» на «Ваши документы» для более четкой навигации.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/richardr1126/openreader/releases.
dependencies:
  - kokoro
path: ""
defaultUsername: ""
defaultPassword: ""
